IncidentsSet custom attributes

Set custom attributes

Needs: Incidents, Read-write

Sets the incident's custom attributes. Other values are kept.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "custom_attributes": {
    "witnessed": "Yes"
  }
}'
{
  "updated": 12,
  "kind": "incident",
  "attributes": [
    "witnessed"
  ]
}
PATCH
/incidents/{id}/attributes
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The incident id.

Content-Typestring
Required

The media type of the request body

Options: application/json
custom_attributesobject
Required

Key and value pairs from the options endpoint. null clears one.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The incident id.

Body

application/json
custom_attributesobject
Required

Key and value pairs from the options endpoint. null clears one.

Responses

OK